/*
 * This software is the confidential and proprietary information of
 * Smardec. You shall not disclose or distribute such Confidential Information.
 * This software shall not be integrated, copied (partially or fully),
 * or reverse engineered into any other software, program, or code that is
 * not intended for Smardec. You shall use it only in accordance with the terms
 * of the license agreement you entered into with Smardec.
 *
 * Copyright (C) 2004-2006 Smardec. All rights reserved.
 *
 * http://www.smardec.com
 *
 */

package com.smardec.demo.j2native.win32.cdplayer;

import com.smardec.j2native.*;

public class PAINTSTRUCT extends Structure {
    public Pointer.Void hdc;
    public UInt32 fErase;
    public RECT rcPaint;
    public UInt32 fRestore;
    public UInt32 fIncUpdate;
    public Int64 reserved1;
    public Int64 reserved2;
    public Int64 reserved3;
    public Int64 reserved4;

    public PAINTSTRUCT() {
        hdc = new Pointer.Void();
        fErase = new UInt32();
        rcPaint = new RECT();
        fRestore = new UInt32();
        fIncUpdate = new UInt32();
        reserved1 = new Int64();
        reserved2 = new Int64();
        reserved3 = new Int64();
        reserved4 = new Int64();

        initialize(new Argument[]{hdc, fErase, rcPaint, fRestore, fIncUpdate, reserved1, reserved2, reserved3, reserved4});
    }
}

