/*
 * This software is the confidential and proprietary information of
 * Smardec. You shall not disclose or distribute such Confidential Information.
 * This software shall not be integrated, copied (partially or fully),
 * or reverse engineered into any other software, program, or code that is
 * not intended for Smardec. You shall use it only in accordance with the terms
 * of the license agreement you entered into with Smardec.
 *
 * Copyright (C) 2004-2006 Smardec. All rights reserved.
 *
 * http://www.smardec.com
 *
 */

package com.smardec.demo.j2native.linux.usermanager.j2n;

import com.smardec.j2native.*;

public class Group extends Structure {
    private AnsiString gr_name;   /* Group name.  */
    private AnsiString gr_passwd; /* Group password. */
    private Int32 gr_gid;         /* Group id. */
    private Pointer gr_mem;       /* Group members*/

    public Group() {
        gr_name = new AnsiString();
        gr_passwd = new AnsiString();
        gr_gid = new Int32();
        gr_mem = new Pointer(new Pointer(new AnsiString()));
        initialize(new Argument[]{new Pointer(gr_name), new Pointer(gr_passwd), gr_gid, gr_mem});
    }

    public Int32 gr_gid() {
        return gr_gid;
    }

    public Pointer gr_mem() {
        return gr_mem;
    }

    public AnsiString gr_name() {
        return gr_name;
    }

    public AnsiString gr_passwd() {
        return gr_passwd;
    }
}
