/*
 * This software is the confidential and proprietary information of
 * Smardec. You shall not disclose or distribute such Confidential Information.
 * This software shall not be integrated, copied (partially or fully),
 * or reverse engineered into any other software, program, or code that is
 * not intended for Smardec. You shall use it only in accordance with the terms
 * of the license agreement you entered into with Smardec.
 *
 * Copyright (C) 2004-2006 Smardec. All rights reserved.
 *
 * http://www.smardec.com
 *
 */

package com.smardec.demo.j2native.linux.usermanager.j2n;

import com.smardec.j2native.*;

public class Spwd extends Structure {
    private AnsiString sp_namp;   /* Login name.  */
    private AnsiString sp_pwdp;   /* Encrypted password. */
    private Int32 sp_lstchg;      /* Date of last change. */
    private Int32 sp_min;         /* Minimum number of days between changes. */
    private Int32 sp_max;         /* Maximum number of days between changes. */
    private Int32 sp_warn;        /* Number of days to warn user to change the password. */
    private Int32 sp_inact;       /* Number of days the account may be inactive. */
    private Int32 sp_expire;      /* Number of days since 1970-01-01 until account expires. */
    private UInt32 sp_flag;       /* Reserved.  */

    public Spwd() {
        sp_namp = new AnsiString();
        sp_pwdp = new AnsiString();
        sp_lstchg = new Int32();
        sp_min = new Int32();
        sp_max = new Int32();
        sp_warn = new Int32();
        sp_inact = new Int32();
        sp_expire = new Int32();
        sp_flag = new UInt32();
        initialize(new Argument[]{new Pointer(sp_namp), new Pointer(sp_pwdp), sp_lstchg, sp_min,
                sp_max, sp_warn, sp_inact, sp_expire, sp_flag});
    }

    public Int32 sp_expire() {
        return sp_expire;
    }

    public UInt32 sp_flag() {
        return sp_flag;
    }

    public Int32 sp_inact() {
        return sp_inact;
    }

    public Int32 sp_lstchg() {
        return sp_lstchg;
    }

    public Int32 sp_max() {
        return sp_max;
    }

    public Int32 sp_min() {
        return sp_min;
    }

    public AnsiString sp_namp() {
        return sp_namp;
    }

    public AnsiString sp_pwdp() {
        return sp_pwdp;
    }

    public Int32 sp_warn() {
        return sp_warn;
    }
}
